import base64
import mimetypes

import magic


def b64_to_extension(b64_string):
    try:
        # Decode the Base64 string into binary data
        binary_data = base64.b64decode(b64_string)
        # Use python-magic to determine the MIME type
        mime = magic.Magic(mime=True)
        mime_type = mime.from_buffer(binary_data)
        # Get the file extension from the MIME type
        return mimetypes.guess_extension(mime_type)
    except Exception as e:
        print(f"Error detecting file type: {e}")
        return None
