from odoo import fields, models


class ExpressionBuilderField(models.TransientModel):
    _name = "expression.builder.field"
    _description = "Expression Builder Field"

    wizard_id = fields.Many2one(
        string="Expression builder",
        comodel_name="expression.builder.wizard",
        required=True,
        ondelete="cascade",
    )

    field_name = fields.Char(
        string="Field name",
        help="The field's comprehensible name",
    )

    field_type = fields.Char(
        string="Field Type",
        help="The field's type (boolean, text, ...)",
    )

    field_comodel_name = fields.Char(
        string="Comodel Name",
        help="If the field is relational, store the comodel name here",
    )

    field_technical_name = fields.Char(
        string="Field Technical Name",
        help="The field's technical name",
    )

    selected = fields.Boolean(
        string="Selected",
        help="When selected, this field will be added to the substitution value",
        readonly=False,
    )
